<?php

class InventoryLib {

	/**
	 * check the given model has enough stock
	 * to handle the requiremenet
	 *
	 * @param 	array 	$data 	 	The model data - if it actsAs Inventories then Inventory element should be available
	 * @param 	int 	$quantity 	The quantity we want
	 * @return 	bool
	 */
	public static function hasEnoughStock($data, $quantity) {
		if (isset($data['Inventory']['stock']) && $data['Inventory']['stock'] >= $quantity) {
			return true;
		}

		// so not enough stock, check to see if we have actually disallowed selling
		if (! is_array($data['Inventory']['oos_action'])) {
			$data['Inventory']['oos_action'] = array();
		}

		if (
			! in_array('stop', $data['Inventory']['oos_action']) ||
			in_array('delayed', $data['Inventory']['oos_action'])
		) {
			return true;
		}

		return false;
	}
}
